摘要
- 解析器可以只询问下一个未知边界,而不必在每一步都暴露完整 QNAME 和原始 QTYPE。
- 隐私取决于缓存状态、有限迭代与回退行为;递归解析器仍然收到客户端的完整请求。
分析
缓存为空时,传统解析器查询 www.example.com,可能把完整名称交给根服务器。根只需要 .com 就能返回下一级委派。其余名称属于历史形成的披露,而不是协议要求。
RFC 9156 要求解析器从最近的已知委派出发,只多揭示一个标签。它还可以选择与客户端原始类型无关的 A 或 AAAA 查询。只有最终负责完整名称的服务器才需要完整 QNAME 与 QTYPE。
这是一项单方面的解析器行为,不需要权威服务器协商新协议。但区域切点并不出现在每个标签处。冷缓存解析器可能需要逐个增加标签,直到发现权威边界。
因此,缓存成为披露边界。RFC 8020 允许缓存中的 NXDOMAIN 否定该节点以下的名称;RFC 8198 允许验证型解析器在 NSEC 或 NSEC3 证明覆盖新查询时直接合成否定答案。已经证明不存在的分支无需再次向上游暴露。
迭代必须有上限。标签极深的名称会放大上游查询,RFC 9156 要求解析器限制每个用户请求产生的最小化查询数量,并给出 10 作为一种机制的建议最大值。
保证仍有边界。客户端选择的递归解析器看得到完整请求;位于多个解析路径位置的观察者可能进行关联;加密处理的是另一种暴露。QNAME 最小化减少的是中间权威方收到的数据。
回退因此是语义变化。为兼容性重试完整查询,可能恢复可用性,却悄然取消隐私属性。标准也没有证明任何具名运营者的配置或效果。
来源
会员简报
档案背景详情
使用相应会员等级登录,即可解锁完整简报与来源注释。
仅限 Strategic Circle
Strategic Circle
所有读者均可浏览。加入并登录后可解锁档案简报。
加入 Strategic Circle仅限 Leadership Alliance
Leadership Alliance
符合条件的 IP 资产所有者和管理层可登录查看 Leadership Alliance 简报。
加入 Leadership Alliance
